import { request } from '../../boot/axios';

class RuleFun {
  getPage = (val?: Common.iPage) => {
    return request.post('dateRule/page', val);
  };
  add = (val?: Rule.newFormData) => {
    return request.post('dateRule/add/', val);
  };
  edit = (val?: Rule.newFormData) => {
    return request.put('dateRule/update/', val);
  };
  del = (val?: any) => {
    return request.delete('dateRule/del/' + val);
  };
}
const ruleFun = new RuleFun();
export { ruleFun };
